Bug 1612362 (CVE-2018-14884) - CVE-2018-14884 php: Mishandled http_header_value in an atoi() call in http_fopen_wrapper.c
Summary: CVE-2018-14884 php: Mishandled http_header_value in an atoi() call in http_fo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14884
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1613731
Blocks: 1612363
TreeView+ depends on / blocked
 
Reported: 2018-08-03 19:14 UTC by Laura Pardo
Modified: 2019-09-29 14:46 UTC (History)
5 users (show)

Fixed In Version: php 7.0.27, php 7.1.13, php 7.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 08:47:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2519 None None None 2019-08-19 08:42:34 UTC

Description Laura Pardo 2018-08-03 19:14:50 UTC
An issue was discovered in PHP 7.0.x before 7.0.27, 7.1.x before 7.1.13, and 7.2.x before 7.2.1. Inappropriately parsing an HTTP response leads to a segmentation fault because http_header_value in ext/standard/http_fopen_wrapper.c can be a NULL value that is mishandled in an atoi call.


References:
http://php.net/ChangeLog-7.php 	
https://bugs.php.net/bug.php?id=75535

Upstream Patch:
https://github.com/php/php-src/commit/0e097f2c96ce31b16fa371981045f224e5a37160

Comment 3 errata-xmlrpc 2019-08-19 08:42:33 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:2519 https://access.redhat.com/errata/RHSA-2019:2519

Comment 4 Product Security DevOps Team 2019-08-19 08:47:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-14884


Note You need to log in before you can comment on or make changes to this bug.